%define debug_package %{nil}

%define major     9
%define minor     0
%define rocky_rel 3
%define rpm_license  Distributable

Summary: Browser default start page for Rocky Linux
Name: rocky-indexhtml
Version: %{major}.%{minor}
Release: %{rocky_rel}%{?dist}
Source: https://github.com/rocky-linux/%{name}/archive/refs/tags/imports/r%{major}/%{name}-%{version}.tar.gz
License: %{rpm_license}
Group: Documentation
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: indexhtml <= 2:5-1
Obsoletes: redhat-indexhtml
Provides: redhat-indexhtml

%description
The indexhtml package contains the welcome page shown by your Web browser,
which you'll see after you've successfully installed Rocky Linux.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML
cp -a . $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/HTML/*

%changelog
* Wed Oct 23 2024 Louis Abel <label@resf.org> - 9.0-3
- Update index.html

* Wed Oct 19 2021 Louis Abel <label@rockylinux.org> 9.0-2
- Initial build
